Package org.apache.catalina.valves.rewrite

## Class Substitution.RewriteRuleBackReferenceElement

- java.lang.Object
- - org.apache.catalina.valves.rewrite.Substitution.SubstitutionElement
  - - org.apache.catalina.valves.rewrite.Substitution.RewriteRuleBackReferenceElement

Enclosing class:
  Substitution

    public class Substitution.RewriteRuleBackReferenceElement
    extends Substitution.SubstitutionElement

### Field Summary

Fields
`int` `n`

### Constructor Summary

Constructors
`RewriteRuleBackReferenceElement()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `evaluate​(Matcher rule, Matcher cond, Resolver resolver)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### n

    public int n

### Constructor Detail

#### RewriteRuleBackReferenceElement

    public RewriteRuleBackReferenceElement()

### Method Detail

#### evaluate

    public String evaluate​(Matcher rule,
                           Matcher cond,
                           Resolver resolver)

Specified by:
  `evaluate` in class `Substitution.SubstitutionElement`